libzypp: zypp::target::IMediaKey Struct Reference

libzypp 17.38.14

zypp::target::IMediaKey Struct Reference

Helper storing a source id and media number. More...

`#include <zypp/target/CommitPackageCacheReadAhead.h>`

## Public Member Functions
| IMediaKey ()
| IMediaKey (const PoolItem &obj_r)
| IMediaKey (const ResObject::constPtr &obj_r)
| IMediaKey (const Repository &repo, unsigned mediaNr_r)
bool | operator== (const IMediaKey &rhs) const
bool | operator!= (const IMediaKey &rhs) const
bool | operator< (const IMediaKey &rhs) const

## Public Attributes
Repository | _repo
DefaultIntegral< unsigned, 0 > | _mediaNr

## Detailed Description

Helper storing a source id and media number.

Definition at line 36 of file CommitPackageCacheReadAhead.h.

## Constructor & Destructor Documentation

## ◆ IMediaKey() [1/4]

zypp::target::IMediaKey::IMediaKey | ( |  | ) |
| inline

Definition at line 38 of file CommitPackageCacheReadAhead.h.

## ◆ IMediaKey() [2/4]

zypp::target::IMediaKey::IMediaKey | ( | const PoolItem & | obj_r | ) |
| inlineexplicit

Definition at line 42 of file CommitPackageCacheReadAhead.h.

## ◆ IMediaKey() [3/4]

zypp::target::IMediaKey::IMediaKey | ( | const ResObject::constPtr & | obj_r | ) |
| inlineexplicit

Definition at line 48 of file CommitPackageCacheReadAhead.h.

## ◆ IMediaKey() [4/4]

zypp::target::IMediaKey::IMediaKey | ( | const Repository & | repo,
|  | unsigned | mediaNr_r )
| inline

Definition at line 53 of file CommitPackageCacheReadAhead.h.

## Member Function Documentation

## ◆ operator==()

bool zypp::target::IMediaKey::operator== | ( | const IMediaKey & | rhs | ) | const
| inline

Definition at line 58 of file CommitPackageCacheReadAhead.h.

## ◆ operator!=()

bool zypp::target::IMediaKey::operator!= | ( | const IMediaKey & | rhs | ) | const
| inline

Definition at line 61 of file CommitPackageCacheReadAhead.h.

## ◆ operator<()

bool zypp::target::IMediaKey::operator< | ( | const IMediaKey & | rhs | ) | const
| inline

Definition at line 64 of file CommitPackageCacheReadAhead.h.

## Member Data Documentation

## ◆ _repo

Repository zypp::target::IMediaKey::_repo

Definition at line 71 of file CommitPackageCacheReadAhead.h.

## ◆ _mediaNr

DefaultIntegral<unsigned,0> zypp::target::IMediaKey::_mediaNr

Definition at line 72 of file CommitPackageCacheReadAhead.h.

The documentation for this struct was generated from the following file:

- zypp/target/CommitPackageCacheReadAhead.h